[arch-commits] Commit in python-pypandoc/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Sun Apr 23 15:54:43 UTC 2017


    Date: Sunday, April 23, 2017 @ 15:54:42
  Author: felixonmars
Revision: 224610

archrelease: copy trunk to community-any

Added:
  python-pypandoc/repos/community-any/PKGBUILD
    (from rev 224609, python-pypandoc/trunk/PKGBUILD)
Deleted:
  python-pypandoc/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  110 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 56 insertions(+), 54 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-04-23 15:54:24 UTC (rev 224609)
+++ PKGBUILD	2017-04-23 15:54:42 UTC (rev 224610)
@@ -1,54 +0,0 @@
-# $Id: PKGBUILD 141139 2015-09-20 03:14:59Z fyan $
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-pypandoc
-pkgname=('python-pypandoc' 'python2-pypandoc')
-pkgver=1.3.3
-pkgrel=2
-pkgdesc="Thin wrapper for pandoc"
-arch=('any')
-license=('MIT')
-url="https://github.com/bebraw/pypandoc"
-makedepends=('python-setuptools' 'python2-setuptools' 'pandoc' 'git')
-checkdepends=('texlive-core' 'pandoc-citeproc')
-source=("git+https://github.com/bebraw/pypandoc.git#tag=v$pkgver")
-sha512sums=('SKIP')
-
-prepare() {
-  # We don't really need pip and wheel at runtime
-  sed -i "s/install_requires = .*/install_requires = ['setuptools'],/" pypandoc/setup.py
-
-  cp -a pypandoc{,-py2}
-}
-
-build() {
-  cd "$srcdir"/pypandoc
-  python setup.py build
-
-  cd "$srcdir"/pypandoc-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/pypandoc
-  LC_CTYPE=en_US.UTF-8 python setup.py test
-
-  cd "$srcdir"/pypandoc-py2
-  python2 setup.py test
-}
-
-package_python-pypandoc() {
-  depends=('python-setuptools' 'pandoc')
-
-  cd pypandoc
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-pypandoc() {
-  depends=('python2-setuptools' 'pandoc')
-
-  cd pypandoc-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}

Copied: python-pypandoc/repos/community-any/PKGBUILD (from rev 224609, python-pypandoc/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-04-23 15:54:42 UTC (rev 224610)
@@ -0,0 +1,56 @@
+# $Id: PKGBUILD 141139 2015-09-20 03:14:59Z fyan $
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-pypandoc
+pkgname=('python-pypandoc' 'python2-pypandoc')
+pkgver=1.4
+pkgrel=1
+pkgdesc="Thin wrapper for pandoc"
+arch=('any')
+license=('MIT')
+url="https://github.com/bebraw/pypandoc"
+makedepends=('python-setuptools' 'python2-setuptools' 'pandoc')
+checkdepends=('texlive-core' 'pandoc-citeproc')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/bebraw/pypandoc/archive/$pkgver.tar.gz")
+sha512sums=('e6210c8b63758d09b12f1cef2e755ae70befa2b5cd66034d9981217b2fa684b90bf6b6edc46968abcb775721a0b32467c924866be743dde74fe77a20b94453d5')
+
+prepare() {
+  # We don't really need pip and wheel at runtime
+  sed -i "s/install_requires = .*/install_requires = ['setuptools'],/" pypandoc-$pkgver/setup.py
+
+  cp -a pypandoc-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/pypandoc-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/pypandoc-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  # https://github.com/bebraw/pypandoc/issues/132
+
+  cd "$srcdir"/pypandoc-$pkgver
+  LC_CTYPE=en_US.UTF-8 python setup.py test || warning "Tests failed"
+
+  cd "$srcdir"/pypandoc-$pkgver-py2
+  python2 setup.py test || warning "Tests failed"
+}
+
+package_python-pypandoc() {
+  depends=('python-setuptools' 'pandoc')
+
+  cd pypandoc-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-pypandoc() {
+  depends=('python2-setuptools' 'pandoc')
+
+  cd pypandoc-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}



More information about the arch-commits mailing list